Ubuntu Server 下安装 Mcrypt PHP extension

Laravel4框架需要PHP 5.4以上及Mcrypt PHP extension, 折腾了半天, 记录下备忘.

安装Mcrypt包, 顺便安装php开发环境

$ sudo apt-get install php5-mcrypt php5-dev

将配置文件链接给PHP

$ sudo ln -s /etc/php5/conf.d/mcrypt.ini /etc/php5/mods-available

开启Mcrypt模块

$ sudo php5enmod mcrypt

重启Nginx, PHP-FPM

$ sudo /etc/init.d/nginx restart
$ sudo service php5-fpm restart

此时重新执行php artisan, all is well.

Hope can help you.

Oct, 24 update:

后来知道这是Ununtu 13.10的一个Bug, 按如上操作完成后重启一次php5-fpm即可彻底解决.

0%